This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 56292 - Live Player Devices not showing in dropdown on Visual Studio for Mac Preview
Summary: Live Player Devices not showing in dropdown on Visual Studio for Mac Preview
Status: VERIFIED FIXED
Alias: None
Product: Live Player
Classification: Xamarin
Component: IDE Extension (show other bugs)
Version: unspecified
Hardware: Macintosh Mac OS
: --- major
Target Milestone: ---
Assignee: Greg Munn
URL:
Depends on:
Blocks:
 
Reported: 2017-05-12 15:06 UTC by Chris Hardy
Modified: 2017-05-16 18:19 UTC (History)
4 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Chris Hardy 2017-05-12 15:06:37 UTC
Using the latest Visual Studio for Mac Preview with bundled in Xamarin Live Player, when connecting a device to Visual Studio and showing it's paired, I do not see it listed.
Comment 1 Andrew Hoefling 2017-05-12 23:47:24 UTC
Here are the reproduction steps and the version of VS4Mac I am using

Visual Studio for Mac Professional
Version - 7.1 Preview (7.1 build 582)

specs
----
=== Visual Studio Professional 2017 for Mac (Preview) ===

Version 7.1 Preview (7.1 build 582)
Installation UUID: ba0bf929-f652-4af2-806b-66e249d4200b
Runtime:
	Mono 5.2.0.104 (2017-04/4a0006f) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 502000104

=== NuGet ===

Version: 4.0.0.2323

=== .NET Core ===

Runtime: /usr/local/share/dotnet/dotnet
SDK: /usr/local/share/dotnet/sdk/1.0.3/Sdks
MSBuild SDKs: /Library/Frameworks/Mono.framework/Versions/5.2.0/lib/mono/msbuild/15.0/bin/Sdks

=== Xamarin.Profiler ===

Version: 1.5.4
Location: /Applications/Xamarin Profiler.app/Contents/MacOS/Xamarin Profiler

=== Apple Developer Tools ===

Xcode 8.3.2 (12175)
Build 8E2002

=== Xamarin.Mac ===

Version: 3.5.0.126 (Visual Studio Professional)

=== Xamarin.Android ===

Version: 7.3.0.13 (Visual Studio Professional)
Android SDK: /Users/andrew/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		6.0 (API level 23)

SDK Tools Version: 25.1.2
SDK Platform Tools Version: 24.0.0
SDK Build Tools Version: 23.0.2

Java SDK: /usr
java version "1.8.0_101"
Java(TM) SE Runtime Environment (build 1.8.0_101-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.101-b13, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

=== Xamarin.iOS ===

Version: 10.11.0.126 (Visual Studio Professional)
Hash: 7571635e
Branch: master
Build date: 2017-05-09 16:04:54-0400

=== Xamarin Inspector ===

Version: 1.3.0-alpha1
Hash: 0855e01
Branch: master
Build date: Thu, 11 May 2017 04:16:13 GMT

=== Build Information ===

Release ID: 701000582
Git revision: 9263c856af081fe1dbfa7bbf9f4856deedfda9d9
Build date: 2017-05-10 16:48:24-04
Xamarin addins: 42029256ac89ded8ed2211aa7bda09debaefab7b
Build lane: monodevelop-lion-d15-3-preview

=== Operating System ===

Mac OS X 10.12.4
Darwin 16.5.0 Darwin Kernel Version 16.5.0
    Fri Mar  3 16:52:33 PST 2017
    root:xnu-3789.51.2~3/RELEASE_X86_64 x86_64
----

Reproduction Steps
1. Open Visual Studio
2. Create new Xamarin.Forms project
3. Select iOS target platform
4. Select device and click 'Xamarin Live Player Devices'
5. On the iPhone open the Xamarin Live Player app and scan the QR Code
6. macOS and iPhone both show successful connection

Expected result:
I am expecting to see my device in the dropdown list of devices

Actual Result:
The dropdown list of devices does not change even though the Xamarin Live Player window shows my iOS device successfully connected
Comment 2 Greg Munn 2017-05-15 14:17:53 UTC
Fixed in 7.1.0.583
Comment 3 Chris Hardy 2017-05-15 19:11:32 UTC
A non-QAd build for this fix is available here: https://dl.xamarin.com/uploads/jfivzshtnek/VisualStudioForMac-Preview-7.1.0.583.dmg - we'll be going through the process before pushing this out through the Alpha channel, hopefully this week.
Comment 4 Chiranjib Mukherjee 2017-05-16 12:15:49 UTC
The device list nows show up the list of Live Player Devices.

Hence Working fine.

thanks
Comment 5 Chris Hardy 2017-05-16 18:19:29 UTC
This fix just got released to the Alpha channel as 7.1 Build 583.

Note You need to log in before you can comment on or make changes to this bug.